summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--CHANGES3
-rwxr-xr-xConfigure30
-rw-r--r--Makefile.org3
-rw-r--r--STATUS9
-rw-r--r--apps/Makefile.ssl2
-rw-r--r--apps/ciphers.c4
-rw-r--r--apps/dh.c2
-rw-r--r--apps/dsa.c3
-rw-r--r--apps/dsaparam.c2
-rw-r--r--apps/enc.c2
-rw-r--r--apps/gendh.c4
-rw-r--r--apps/gendsa.c4
-rw-r--r--apps/genrsa.c4
-rw-r--r--apps/pem_mail.c2
-rw-r--r--apps/rsa.c3
-rw-r--r--apps/s_client.c4
-rw-r--r--apps/s_server.c12
-rw-r--r--apps/s_time.c4
-rw-r--r--apps/speed.c43
-rw-r--r--apps/version.c2
-rw-r--r--crypto/Makefile.ssl4
-rw-r--r--crypto/asn1/Makefile.ssl2
-rw-r--r--crypto/asn1/d2i_dhp.c3
-rw-r--r--crypto/asn1/d2i_dsap.c3
-rw-r--r--crypto/asn1/d2i_r_pr.c3
-rw-r--r--crypto/asn1/d2i_r_pu.c3
-rw-r--r--crypto/asn1/d2i_s_pr.c3
-rw-r--r--crypto/asn1/d2i_s_pu.c5
-rw-r--r--crypto/asn1/i2d_dhp.c2
-rw-r--r--crypto/asn1/i2d_dsap.c2
-rw-r--r--crypto/asn1/i2d_r_pr.c2
-rw-r--r--crypto/asn1/i2d_r_pu.c3
-rw-r--r--crypto/asn1/i2d_s_pr.c3
-rw-r--r--crypto/asn1/i2d_s_pu.c3
-rw-r--r--crypto/asn1/n_pkey.c4
-rw-r--r--crypto/bf/Makefile.ssl2
-rw-r--r--crypto/bf/bftest.c9
-rw-r--r--crypto/bf/blowfish.h4
-rw-r--r--crypto/bio/Makefile.ssl2
-rw-r--r--crypto/bn/Makefile.ssl2
-rw-r--r--crypto/buffer/Makefile.ssl2
-rw-r--r--crypto/cast/Makefile.ssl2
-rw-r--r--crypto/cast/cast.h4
-rw-r--r--crypto/cast/casttest.c10
-rw-r--r--crypto/comp/Makefile.ssl2
-rw-r--r--crypto/conf/Makefile.ssl2
-rw-r--r--crypto/des/Makefile.ssl2
-rw-r--r--crypto/des/des.h4
-rw-r--r--crypto/des/destest.c13
-rw-r--r--crypto/des/ede_cbcm_enc.c2
-rw-r--r--crypto/dh/Makefile.ssl2
-rw-r--r--crypto/dh/dh.h4
-rw-r--r--crypto/dh/dhtest.c9
-rw-r--r--crypto/dsa/Makefile.ssl2
-rw-r--r--crypto/dsa/dsa.h4
-rw-r--r--crypto/dsa/dsatest.c13
-rw-r--r--crypto/err/Makefile.ssl2
-rw-r--r--crypto/evp/Makefile.ssl2
-rw-r--r--crypto/evp/evp.h24
-rw-r--r--crypto/evp/evp_pkey.c23
-rw-r--r--crypto/evp/p_open.c2
-rw-r--r--crypto/evp/p_seal.c2
-rw-r--r--crypto/hmac/Makefile.ssl2
-rw-r--r--crypto/hmac/hmac.h4
-rw-r--r--crypto/hmac/hmactest.c9
-rw-r--r--crypto/idea/Makefile.ssl2
-rw-r--r--crypto/idea/idea.h4
-rw-r--r--crypto/idea/ideatest.c10
-rw-r--r--crypto/lhash/Makefile.ssl2
-rw-r--r--crypto/md2/Makefile.ssl2
-rw-r--r--crypto/md2/md2.h4
-rw-r--r--crypto/md2/md2test.c9
-rw-r--r--crypto/md5/Makefile.ssl2
-rw-r--r--crypto/md5/md5.h4
-rw-r--r--crypto/md5/md5test.c9
-rw-r--r--crypto/mdc2/Makefile.ssl2
-rw-r--r--crypto/mdc2/mdc2.h4
-rw-r--r--crypto/mdc2/mdc2test.c14
-rw-r--r--crypto/objects/Makefile.ssl2
-rw-r--r--crypto/objects/obj_dat.h2
-rw-r--r--crypto/pem/Makefile.ssl2
-rw-r--r--crypto/pem/pem.h34
-rw-r--r--crypto/pem/pem_seal.c2
-rw-r--r--crypto/pkcs12/Makefile.ssl2
-rw-r--r--crypto/pkcs12/p12_crpt.c4
-rw-r--r--crypto/pkcs7/Makefile.ssl2
-rw-r--r--crypto/rand/Makefile.ssl2
-rw-r--r--crypto/rc2/Makefile.ssl2
-rw-r--r--crypto/rc2/rc2.h4
-rw-r--r--crypto/rc2/rc2test.c9
-rw-r--r--crypto/rc4/Makefile.ssl2
-rw-r--r--crypto/rc4/rc4.h4
-rw-r--r--crypto/rc4/rc4test.c10
-rw-r--r--crypto/rc5/Makefile.ssl2
-rw-r--r--crypto/rc5/rc5.h4
-rw-r--r--crypto/rc5/rc5test.c9
-rw-r--r--crypto/ripemd/Makefile.ssl2
-rw-r--r--crypto/ripemd/ripemd.h4
-rw-r--r--crypto/ripemd/rmdtest.c10
-rw-r--r--crypto/rsa/Makefile.ssl2
-rw-r--r--crypto/rsa/rsa.h4
-rw-r--r--crypto/rsa/rsa_oaep_test.c10
-rw-r--r--crypto/sha/Makefile.ssl2
-rw-r--r--crypto/sha/sha.h8
-rw-r--r--crypto/sha/sha1_one.c2
-rw-r--r--crypto/sha/sha1dgst.c2
-rw-r--r--crypto/sha/sha1test.c9
-rw-r--r--crypto/sha/sha_dgst.c3
-rw-r--r--crypto/sha/sha_one.c2
-rw-r--r--crypto/sha/shatest.c9
-rw-r--r--crypto/stack/Makefile.ssl2
-rw-r--r--crypto/txt_db/Makefile.ssl2
-rw-r--r--crypto/x509/Makefile.ssl2
-rw-r--r--crypto/x509/x509.h24
-rw-r--r--crypto/x509v3/Makefile.ssl2
115 files changed, 480 insertions, 140 deletions
diff --git a/CHANGES b/CHANGES
index 61c31e2af4..dacdb63c4d 100644
--- a/CHANGES
+++ b/CHANGES
@@ -5,6 +5,9 @@
Changes between 0.9.2b and 0.9.3
+ *) New Configure option no-<cipher> (rsa, idea, rc5, ...).
+ [Ulf Möller]
+
*) Add the PKCS#12 API documentation to openssl.txt. Preliminary support for
extension adding in x509 utility.
[Steve Henson]
diff --git a/Configure b/Configure
index 98644fb182..4ea12475d5 100755
--- a/Configure
+++ b/Configure
@@ -20,16 +20,9 @@ my $usage="Usage: Configure [-Dxxx] [-lxxx] [-Lxxx] [-fxxx] [-Kxxx] [rsaref] [no
# rsaref use RSAref
# no-asm do not use assembler
# 386 generate 80386 code
+# no-CIPHER build without specified algorithm
# -D, -L, -l, -f, -K: compiler options are passed through
#
-# -DRSAref build to use RSAref
-# -DNO_IDEA build with no IDEA algorithm
-# -DNO_RC4 build with no RC4 algorithm
-# -DNO_RC2 build with no RC2 algorithm
-# -DNO_BF build with no Blowfish algorithm
-# -DNO_DES build with no DES/3DES algorithm
-# -DNO_MD2 build with no MD2 algorithm
-#
# DES_PTR use pointer lookup vs arrays in the DES in crypto/des/des_locl.h
# DES_RISC1 use different DES_ENCRYPT macro that helps reduce register
# dependancies but needs to more registers, good for RISC CPU's
@@ -255,6 +248,7 @@ my @WinTargets=qw(VC-NT VC-WIN32 VC-WIN16 VC-W31-16 VC-W31-32 VC-MSDOS BC-32
my $installprefix="";
my $openssldir="";
my $no_asm=0;
+my @skip=();
my $Makefile="Makefile.ssl";
my $des_locl="crypto/des/des_locl.h";
my $des ="crypto/des/des.h";
@@ -284,12 +278,21 @@ $perl=&which("perl5") or $perl=&which("perl");
&usage if ($#ARGV < 0);
my $flags="";
+my $depflags="";
my $libs="";
my $target="";
foreach (@ARGV)
{
if (/^no-asm$/)
{ $no_asm=1; }
+ elsif (/^no-(.+)$/)
+ {
+ my $algo=$1;
+ push @skip,$algo;
+ $algo =~ tr/[a-z]/[A-Z]/;
+ $flags .= "-DNO_$algo ";
+ $depflags .= "-DNO_$algo ";
+ }
elsif (/^386$/)
{ $processor=386; }
elsif (/^rsaref$/)
@@ -390,14 +393,24 @@ if ($rmd160_obj =~ /\.o$/)
open(IN,'<Makefile.org') || die "unable to read Makefile.org:$!\n";
open(OUT,">$Makefile") || die "unable to create $Makefile:$!\n";
+my $sdirs=0;
while (<IN>)
{
chop;
+ $sdirs = 1 if /^SDIRS=/;
+ $sdirs = 0 unless /\\$/;
+ if ($sdirs) {
+ my $dir;
+ foreach $dir (@skip) {
+ s/$dir//;
+ }
+ }
s/^INSTALLTOP=.*$/INSTALLTOP=$installprefix/;
s/^OPENSSLDIR=.*$/OPENSSLDIR=$openssldir/;
s/^PLATFORM=.*$/PLATFORM=$target/;
s/^CC=.*$/CC= $cc/;
s/^CFLAG=.*$/CFLAG= $cflags/;
+ s/^DEPFLAG=.*$/DEPFLAG= $depflags/;
s/^EX_LIBS=.*$/EX_LIBS= $lflags/;
s/^BN_ASM=.*$/BN_ASM= $bn_obj/;
s/^DES_ENC=.*$/DES_ENC= $des_obj/;
@@ -551,6 +564,7 @@ if($IsWindows) {
close(OUT);
} else {
(system 'make -f Makefile.ssl links') == 0 or exit $?;
+ (system 'make depend') == 0 or exit $? if $depflags ne "";
&dofile("tools/c_rehash",$openssldir,'^DIR=', 'DIR=%s',);
&dofile("util/mk1mf.pl",$openssldir,
('^\$INSTALLTOP=','$INSTALLTOP="%s";',));
diff --git a/Makefile.org b/Makefile.org
index 869fe8cc5a..7531f5a2db 100644
--- a/Makefile.org
+++ b/Makefile.org
@@ -43,6 +43,7 @@ OPENSSLDIR=/usr/local/ssl
CC= gcc
#CFLAG= -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall -Wuninitialized -DSHA1_ASM -DMD5_ASM -DRMD160_ASM
CFLAG= -DTERMIOS -DL_ENDIAN -fomit-frame-pointer -O3 -m486 -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM
+DEPFLAG=
PEX_LIBS= -L. -L.. -L../.. -L../../..
EX_LIBS=
AR=ar r
@@ -246,7 +247,7 @@ depend:
@for i in $(DIRS) ;\
do \
(cd $$i && echo "making dependancies $$i..." && \
- $(MAKE) SDIRS='${SDIRS}' depend ) || exit 1; \
+ $(MAKE) SDIRS='${SDIRS}' DEPFLAG='${DEPFLAG}' depend ) || exit 1; \
done;
lint:
diff --git a/STATUS b/STATUS
index ec13da99d6..f34d06aca1 100644
--- a/STATUS
+++ b/STATUS
@@ -1,6 +1,6 @@
OpenSSL STATUS Last modified at
- ______________ $Date: 1999/04/27 00:36:14 $
+ ______________ $Date: 1999/04/27 01:13:19 $
DEVELOPMENT STATE
@@ -149,13 +149,6 @@
o Properly initialize the PRNG in the absence of /dev/random.
- o > NO_RSA (ejs@bfd.com)
- > ./Configure -DNO_IDEA -DNO_RC5 -DNO_RC4 -DNO_RC2 -DNO_RSA -DNO_ERR linux-elf
- > I tried for a whole day to do this and could not get it to work. Linux
- > machine, kernel 2.0.36 and 2.2.1, redhat 5.2 latest, gcc and egcs , no
- > go. I also noticed the even with -DNO_IDEA, _DNO_RC2, etc. the make
- > still goes into those subdirectories and 'makes'.
-
o ERR_error_string(..., buf) does not know how large buf is,
there should be ERR_error_string_n(..., buf, bufsize)
or similar.
diff --git a/apps/Makefile.ssl b/apps/Makefile.ssl
index 83c19aad14..5971ada4cc 100644
--- a/apps/Makefile.ssl
+++ b/apps/Makefile.ssl
@@ -109,7 +109,7 @@ lint:
lint -DLINT $(INCLUDES) $(SRC)>fluff
depend:
- $(MAKEDEPEND) $(INCLUDES) $(PROGS) $(SRC)
+ $(MAKEDEPEND) $(INCLUDES) $(DEPFLAG) $(PROGS) $(SRC)
dclean:
$(PERL) -pe 'if (/^# DO NOT DELETE THIS LINE/) {print; exit(0);}' $(MAKEFILE) >Makefile.new
diff --git a/apps/ciphers.c b/apps/ciphers.c
index 3c76782b7e..08e47be4f7 100644
--- a/apps/ciphers.c
+++ b/apps/ciphers.c
@@ -66,6 +66,10 @@
#include <openssl/err.h>
#include <openssl/ssl.h>
+#if defined(NO_RSA) && !defined(NO_SSL2)
+#define NO_SSL2
+#endif
+
#undef PROG